### org.jfree.layouting.input.style.parser.stylehandler.column

# Class ColumnRuleStyleReadHandler

- `java.lang.Object`
- - `org.jfree.layouting.input.style.parser.stylehandler.OneOfConstantsReadHandler`
  - - `org.jfree.layouting.input.style.parser.stylehandler.border.BorderStyleReadHandler`
    - - `org.jfree.layouting.input.style.parser.stylehandler.column.ColumnRuleStyleReadHandler`

Implemented Interfaces:
  CSSCompoundValueReadHandler, CSSValueReadHandler

`public class ColumnRuleStyleReadHandler`
`extends BorderStyleReadHandler`

Creation-Date: 04.12.2005, 13:25:44

Author:
  Thomas Morgner

  ## Constructor Summary

  `ColumnRuleStyleReadHandler()`

  ## Method Summary

  ### Methods inherited from class org.jfree.layouting.input.style.parser.stylehandler.border.BorderStyleReadHandler

  `createValues`, `getAffectedKeys`

  ### Methods inherited from class org.jfree.layouting.input.style.parser.stylehandler.OneOfConstantsReadHandler

  `addValue`, `createValue`, `isAutoAllowed`, `lookupValue`

## Constructor Details

### ColumnRuleStyleReadHandler

    public ColumnRuleStyleReadHandler()